<template>
  <div class="posts-container">
    <!-- {{ $store.state.userData }} -->
    <Post :posts="allPosts" />
    <p>{{ error }}</p>
    <ModalAddPost :user="user" />
    <RedirectToLogin />
  </div>
</template>

<script>
import Post from "./Post";
import ModalAddPost from "./modals/addPost";
import RedirectToLogin from "./modals/redirectToLogin";
import { mapMutations, mapGetters } from "vuex";

export default {
  name: "Posts",
  components: {
    Post,
    ModalAddPost,
    RedirectToLogin
  },
  data() {
    return {
      error: "",
      required: null,
      noError: null,
      hasMessage: false
    };
  },
  async created() {
    try {
      await this.updatePosts();
    } catch (err) {
      this.error = err.message;
    }
  },
  computed: {
    ...mapGetters(["user"]),
    allPosts() {
      return this.$store.state.posts;
    }
  },

  methods: {
    ...mapMutations(["updatePosts"])
  }
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped lang="scss">
.busy-indicator-posts {
  margin-top: 100px;
}
.posts-container {
  max-width: 65%;
  margin-left: auto;
  margin-right: auto;
}
h3 {
  margin: 40px 0 0;
}
ul {
  list-style-type: none;
  padding: 0;
}
li {
  display: inline-block;
  margin: 0 10px;
}
a {
  color: #42b983;
}

//Mobile
@media (max-width: 600px) {
  .posts-container {
    max-width: 90%;
  }
}
@media (min-width: 601px) and (max-width: 1280px) {
  .posts-container {
    max-width: 90%;
  }
}
</style>
